Revoke SSH key
curl --request DELETE \
--url https://api.aireserve.com/v1/gpu/ssh-keys/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/ssh-keys/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/ssh-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accepted": true,
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "accepted",
"resourceType": "pod"
}GPU Compute
Revoke SSH key
Revoke an SSH key. The key will be excluded from subsequent pod starts; existing SSH sessions on running pods are not immediately severed — a pod restart is required to rebuild authorized_keys. Returns 202 Accepted. Requires compute manage access.
DELETE
/
v1
/
gpu
/
ssh-keys
/
{id}
Revoke SSH key
curl --request DELETE \
--url https://api.aireserve.com/v1/gpu/ssh-keys/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/ssh-keys/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/ssh-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accepted": true,
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "accepted",
"resourceType": "pod"
}Authorizations
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Path Parameters
Response
Key revoked.
Response to a 202 Accepted Compute mutation. All fields are camelCase. Use operationId to poll GET /v1/gpu/operations/{id} for terminal status.
Available options:
true ID of the resource created or mutated.
ID for the durable operation record. Poll GET /v1/gpu/operations/{id} for terminal status.
Available options:
accepted, pending Available options:
pod, volume, template, registry, ssh_key